/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_popup_h
#define INC_skin_popup_h

#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wPopup
{
    Widget	sys;
    int		sx;
    int		sy;
    int		items;
    int		pressed;
    int		delta;
    int		barwidth;
    int		active;
    int		downpop;
    int		orig_y;
    int		orig_height;
    GtkWidget	*window;
} wPopup;

//
//
//

Widget *wPopupParse( int mode, char *option, char *value );

#endif
