/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_slider_h
#define INC_skin_slider_h

#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wSlider
{
    Widget	sys;
    int		pressed;
    int		position;
    int		frames;
    int		pressed_ord;
    int		type;
// Knob
    int		sx;
    int		sy;
    int		KnobWidth;
    int		KnobHeight;
    int		KnobDelta;
    int		min;
    int		max;
// Frame
    int		FrameXOffset;
    int		FrameYOffset;
    int		FrameDelta;
    int		knoborder;
} wSlider;

//
//
//

Widget *wSliderParse( int mode, char *option, char *value );

int wSliderSetValue( wSlider *hs, int value );

#endif
