/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_status_h
#define INC_skin_status_h

#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wStatus
{
    Widget	sys;
    int		sx;
    int		sy;
    int		Type;
    int		states;
    int		status;
    int		delta;
    int		alignment;
} wStatus;

//
//
//

Widget *wStatusParse( int mode, char *option, char *value );

int wStatusSetStatus( wStatus *st, int status );
int wStatusGetStatus( wStatus *st );

#endif
