/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_version_h
#define INC_version_h

// *
// * Version
// *

#define	XMM_VERSION_MAJOR	0
#define	XMM_VERSION_MINOR	5
#define	XMM_VERSION_MICRO	0

#define	XMM_VERSION_STRING	"0.5.0"
#define	XMM_VERSION_NUM		(( XMM_VERSION_MAJOR << 16 ) | \
				( XMM_VERSION_MINOR << 8 ) | XMM_VERSION_MICRO )

#define	XMM_VERSION_GETMAJOR(v)	(((v) >> 16) & 0xFF )
#define	XMM_VERSION_GETMINOR(v)	(((v) >> 8 ) & 0xFF )
#define	XMM_VERSION_GETMICRO(v)	((v) & 0xFF )

// *
// * Get the version of the (linked) library
// *

unsigned long xmm_GetVersion( void );

#endif
