/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_draw_h
#define INC_skin_draw_h

#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wDrawArea
{
    Widget		sys;
    unsigned char	*idxdata;
    GdkRgbCmap		*cmap;
} wDrawArea;

//
//
//

Widget *wDrawAreaParse( int mode, char *option, char *value );
void wDrawAreaSetData( wDrawArea *da, unsigned char *idxdata );

#endif
