/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_number_h
#define INC_skin_number_h

#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wNumber
{
    Widget	sys;
    int		sx;
    int		sy;
    int		digits;
    int		value;
} wNumber;

//
//
//

Widget *wNumberParse( int mode, char *option, char *value );

void wNumberSetValue( wNumber *num, int value );

#endif
