/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_tbutton_h
#define INC_skin_tbutton_h

#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wToggleButton
{
    Widget	sys;
    int		alignment;
    int		sx;
    int		sy;
    int		pressed;
    int		toggled;
} wToggleButton;

//
//
//

Widget *wToggleButtonParse( int mode, char *option, char *value );

int wToggleButtonState( wToggleButton *tb, int state );

#endif
