/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_skin_textbox_h
#define INC_skin_textbox_h

#include <gtk/gtk.h>
#include "mplayertypes.h"
#include "skin_widget.h"

//
// Types
//

typedef struct _wTextBox
{
    Widget	sys;
    int		pressed;
    int		sx;
    int		sy;
    int		scroll;
    int		FontWidth;
    int		FontHeight;
    int		WinAmp;
// Private
    char	*Text;
    int		TextOffset;
    GdkPixmap	*Pixmap;
    int		PixmapWidth;
    int		drag_start;
    int		drag_x;
    gint	Timer;
} wTextBox;

//
//
//

Widget *wTextBoxParse( int mode, char *option, char *value );

int wTextBoxSetText( wTextBox *tb, char *text );

#endif
