/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *    XMMP - X MultiMedia Project					     *
 *    This Code is Copyright (c) 1999, 2000 by Arthur Kleer		     *
 *    All rights reserved.						     *
 *    								             *
 *    See COPYING in the main source dir for more details.		     *
 *								             *
 *    For contact, mail to: 'xmmp@frozenproductions.com'	             *
 *    Visit our Homepage: http://www.frozenproductions.com                   *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#ifndef INC_klist_h
#define INC_klist_h

//
// Types
//

typedef struct KList_t KList;

struct KList_t
{
    void	*data;
    KList	*next;
    KList	*prev;
};

//
// Prototypes
//

KList	*KListAppend( KList *list, void *data );
KList	*KListRemove( KList *list, void *key );
void	KListFree( KList *list );

#endif
